edu.sc.seis.sod.process.waveform

## Class CompoundPhaseSignalToNoise

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.PhaseSignalToNoise
  - - edu.sc.seis.sod.process.waveform.CompoundPhaseSignalToNoise

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter, Threadable

      public class CompoundPhaseSignalToNoise
      extends PhaseSignalToNoise

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `longPhaseName`

    - ### Fields inherited from class edu.sc.seis.sod.process.waveform.PhaseSignalToNoise

      `longOffsetBegin, longOffsetEnd, modelName, PHASE_STON_PREFIX, phaseName, phaseStoN, ratio, shortOffsetBegin, shortOffsetEnd, taupUtil, triggerWindow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompoundPhaseSignalToNoise(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCookieName()`
    `java.lang.String` | `getLongPhaseName()`

    - ### Methods inherited from class edu.sc.seis.sod.process.waveform.PhaseSignalToNoise

      `accept, calcTrigger, getPhaseName, isThreadSafe, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### longPhaseName

          protected java.lang.String longPhaseName

  - ### Constructor Detail

    - #### CompoundPhaseSignalToNoise

          public CompoundPhaseSignalToNoise(org.w3c.dom.Element config)
                                     throws ConfigurationException,
                                            edu.sc.seis.TauP.TauModelException

      Throws:
        `ConfigurationException`
        `edu.sc.seis.TauP.TauModelException`

  - ### Method Detail

    - #### getCookieName

          public java.lang.String getCookieName()

      Overrides:
        `getCookieName` in class `PhaseSignalToNoise`

    - #### getLongPhaseName

          public java.lang.String getLongPhaseName()